[PATCH openbmc-build-scripts] build-setup: Ensure we fail the build when a step fails
OpenBMC Patches
openbmc-patches at stwcx.xyz
Fri Feb 12 16:20:21 AEDT 2016
From: Joel Stanley <joel at jms.id.au>
Signed-off-by: Joel Stanley <joel at jms.id.au>
---
build-setup.sh | 6 +++---
1 file changed, 3 insertions(+), 3 deletions(-)
diff --git a/build-setup.sh b/build-setup.sh
index a96ed44..f2a37fa 100755
--- a/build-setup.sh
+++ b/build-setup.sh
@@ -7,8 +7,8 @@
# distro = fedora|ubuntu
# WORKSPACE =
-# Trace bash processing
-set -x
+# Trace bash processing. Set -e so when a step fails, we fail the build
+set -xe
# Default variables
target=${target:-qemu}
@@ -100,7 +100,7 @@ mkdir -p ${WORKSPACE}
cat > "${WORKSPACE}"/build.sh << EOF_SCRIPT
#!/bin/bash
-set -x
+set -ex
cd ${WORKSPACE}
--
2.7.1
More information about the openbmc
mailing list